<?php
/**
 * The showSyncComment view file of repo module of ZenTaoPMS.
 *
 * @copyright   Copyright 2009-2010 QingDao Nature Easy Soft Network Technology Co,LTD (www.cnezsoft.com)
 * @license     LGPL (http://www.gnu.org/licenses/lgpl.html)
 * @author      Yidong Wang <yidong@cnezsoft.com>
 * @package     repo
 * @version     $Id$
 * @link        http://www.zentao.net
 */
?>
<?php include '../../common/view/header.html.php';?>
<table class='table'>
  <caption class='text-left'><strong id='caption'><?php echo $lang->repo->notice->syncing?></strong></caption>
  <tr>
    <td><?php echo $lang->repo->notice->syncedCount?><span id='commits'><?php echo $version?></span></td>
  </tr>
</table>
<script language='Javascript'>
$(function(){
    var link = createLink('repo', 'ajaxSyncComment', "repoID=<?php echo $repoID?>");
    function syncComments()
    {
        $.get(link, function(data)
        {
            if(data == 'finish')
            {
                $('#caption').text('<?php echo $lang->repo->notice->syncComplete?>');
                return self.location = createLink('repo', 'browse', "repoID=<?php echo $repoID?>");
            }
            $('#commits').html(parseInt($('#commits').html()) + parseInt(data));
            setTimeout(syncComments, 10);
        });
    }
    setTimeout(syncComments, 500);
})
</script>
<?php include '../../common/view/footer.html.php';?>
